html {
  margin: 30px;
  font-size: 14px;
  font-family: "Noto Sans", sans-serif;
  color: #323535;
  background-color: #fafafa;
}

a {
  text-decoration: none;
  color: #323535;
}

p {
  margin: 0;
}

ul {
  margin: 0;
}

header {
  display: flex;
  justify-content: space-between;
  margin-right: 60px;
}

input {
  margin-top: 15px;
  margin-bottom: 90px;
  margin-right: 15px;
  height: 40px;
  width: 200px;
  padding-left: 15px;
}

h1 {
  font-size: 4rem;
  line-height: 4.25rem;
  margin-top: 30px;
}

.thumbnail-grid {
  margin: 60px 0px 200px 0px;
  display: grid;
  width: calc(100vw-60px);
  gap: 3vw 2vw;
  grid-template-columns: 22.5% 22.5% 22.5% 22.5%;
}

.thumbnail {
  width: 100%;
  height: 200px;
  background-size: cover;
  background-repeat: no-repeat;
  margin-bottom: 10px;
  background-position: center;
  opacity: .95;
  filter: saturate(90%);
  /* box-shadow: 15px 9px 7px 1px rgba(50, 53, 53, .1); */
}

.thumbnail-header {
  color: rgb(50, 53, 53);
  text-decoration: underline solid 1px;
  text-underline-offset: 5px;
  display: inline-block;
  max-width: 90%;
  line-height: 1.75rem;
}

.recipe-images {
  text-decoration: none;
  color: lightgray;
  font-size: 1.2rem;
  font-family: sans-serif;
  font-weight: 800;
  margin-left: 10px;
  text-underline-offset: 5px;
}

.recipe-summary {
  text-decoration: none;
  color: lightgray;
  font-size: 1.2rem;
  font-family: sans-serif;
  font-weight: 800;
  margin-left: 10px;
  text-underline-offset: 5px;
}

.recipe-summary:hover {
  text-decoration: underline solid 2px;
  text-underline-offset: 5px;
}

.recipe-images:hover {
  text-decoration: underline solid 2px;
  text-underline-offset: 5px;
}

.active {
  color: #323535;
  text-decoration: underline solid 2px;
}

.summary-background {
  background-color: rgb(255, 255, 255);
  box-shadow: 12px 12px 15px 1px rgba(93, 93, 93, 0.25);
  width: 100%;
  height: 200px;
  margin-bottom: 10px;
}

.summary-header {
  font-family: sans-serif;
  font-weight: 800;
  font-size: .9rem;
  margin-top: 10px;
  margin-bottom: 5px;
}

.summary-time {
  font-family: sans-serif;
  font-weight: 400;
  font-size: .9rem;
}

.summary-ingredients {
  font-family: sans-serif;
  font-size: .9rem;
  font-weight: 400;
  margin-left: -30px;
}

.flex {
  display: flex;
}

.recipe-shell {
  position: relative;
}

.absolute {
  position: absolute;
  height: 180px;
  width: 100%;
  overflow-y: scroll;
  margin: 20px;
}